using System;
using System.Collections.Generic;
using System.Text;

namespace BookShopOnline.Model
{
    public class Orders
    {
        private string _OrderID;

        public string OrderID
        {
            get { return _OrderID; }
            set { _OrderID = value; }
        }

        private int _UserID;

        public int UserID
        {
            get { return _UserID; }
            set { _UserID = value; }
        }

        private DateTime _OrderDate;

        public DateTime OrderDate
        {
            get { return _OrderDate; }
            set { _OrderDate = value; }
        }

        private string _ReceiverName;

        public string ReceiverName
        {
            get { return _ReceiverName; }
            set { _ReceiverName = value; }
        }

        private string _ReceiverAddress;

        public string ReceiverAddress
        {
            get { return _ReceiverAddress; }
            set { _ReceiverAddress = value; }
        }

        private string _ReceiverPostalCode;

        public string ReceiverPostalCode
        {
            get { return _ReceiverPostalCode; }
            set { _ReceiverPostalCode = value; }
        }

        private string _ReceiverPhone;

        public string ReceiverPhone
        {
            get { return _ReceiverPhone; }
            set { _ReceiverPhone = value; }
        }

        private decimal _TotalBookPrice;

        public decimal TotalBookPrice
        {
            get { return _TotalBookPrice; }
            set { _TotalBookPrice = value; }
        }

        private decimal _PortPrice;

        public decimal PortPrice
        {
            get { return _PortPrice; }
            set { _PortPrice = value; }
        }

        private decimal _HasPayedPrice;

        public decimal HasPayedPrice
        {
            get { return _HasPayedPrice; }
            set { _HasPayedPrice = value; }
        }

        private decimal _HasNotPayedPrice;

        public decimal HasNotPayedPrice
        {
            get { return _HasNotPayedPrice; }
            set { _HasNotPayedPrice = value; }
        }

        private decimal _SumPrice;

        public decimal SumPrice
        {
            get { return _SumPrice; }
            set { _SumPrice = value; }
        }

        private int _PayTypeID;

        public int PayTypeID
        {
            get { return _PayTypeID; }
            set { _PayTypeID = value; }
        }

        private string _PayTypeName;

        public string PayTypeName
        {
            get { return _PayTypeName; }
            set { _PayTypeName = value; }
        }

        private int _PortTypeID;

        public int PortTypeID
        {
            get { return _PortTypeID; }
            set { _PortTypeID = value; }
        }

        private string _PortTypeName;

        public string PortTypeName
        {
            get { return _PortTypeName; }
            set { _PortTypeName = value; }
        }

        private int _TipID;

        public int TipID
        {
            get { return _TipID; }
            set { _TipID = value; }
        }

        private string _TipName;

        public string TipName
        {
            get { return _TipName; }
            set { _TipName = value; }
        }

        private DateTime _UpdateStaticDate;

        public DateTime UpdateStaticDate
        {
            get { return _UpdateStaticDate; }
            set { _UpdateStaticDate = value; }
        }
    }
}
